<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/Utils/include/AVSCommon/Utils/HTTP2/HTTP2RequestConfig.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a></li><li class="navelem"><a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a></li><li class="navelem"><a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a></li><li class="navelem"><a class="el" href="dir_0bf0f45007ff5e6885dc23c0041db988.html">HTTP2</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">HTTP2RequestConfig.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_h_t_t_p2_request_config_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_AVSCOMMON_UTILS_INCLUDE_AVSCOMMON_UTILS_HTTP2_HTTP2REQUESTCONFIG_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_AVSCOMMON_UTILS_INCLUDE_AVSCOMMON_UTILS_HTTP2_HTTP2REQUESTCONFIG_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;atomic&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &lt;chrono&gt;</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;cstdint&gt;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;memory&gt;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_h_t_t_p2_request_type_8h.html">HTTP2RequestType.h</a>&quot;</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_h_t_t_p2_request_source_interface_8h.html">HTTP2RequestSourceInterface.h</a>&quot;</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_h_t_t_p2_response_sink_interface_8h.html">HTTP2ResponseSinkInterface.h</a>&quot;</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_h_t_t_p2_request_type_8h.html">HTTP2RequestType.h</a>&quot;</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="preprocessor">#ifdef ACSDK_EMIT_SENSITIVE_LOGS</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="preprocessor">#define ACSDK_EMIT_CURL_LOGS</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="keyword">namespace </span>avsCommon {</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="keyword">namespace </span>utils {</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="keyword">namespace </span>http2 {</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00042"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html">   42</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html">HTTP2RequestConfig</a> {</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#ad8572ec157e4cbb822e593c0cd051615">HTTP2RequestConfig</a>(<a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html#adac37956726cfc5067118c2366d25918">HTTP2RequestType</a> type, <span class="keyword">const</span> std::string&amp; url, <span class="keyword">const</span> std::string&amp; idPrefix);</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a5d02588f39190118ccb830297aba2e79">setConnectionTimeout</a>(std::chrono::milliseconds timeout);</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a8766de06841a487596104b6eb3c658b6">setTransferTimeout</a>(std::chrono::milliseconds timeout);</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a4256748b1cdb6b45ecacde970014b2d8">setActivityTimeout</a>(std::chrono::milliseconds timeout);</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a7638069320a732658fb191f8c0dab659">setPriority</a>(uint8_t priority);</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a9b6892762b3af8f1f7bbb7afd0633ca5">setRequestSource</a>(std::shared_ptr&lt;HTTP2RequestSourceInterface&gt; source);</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#aad7156c60e04e9a0818159e2ddc2e829">setResponseSink</a>(std::shared_ptr&lt;HTTP2ResponseSinkInterface&gt; sink);</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a1a758462058e9ddae6c06db06678a267">setIntermittentTransferExpected</a>();</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a3f1ff200db8c8fd700667b1af171d35e">setLogicalStreamIdPrefix</a>(std::string logicalStreamIdPrefix);</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;    <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html#adac37956726cfc5067118c2366d25918">HTTP2RequestType</a> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#ab76afa14f307318541abee48bf19a6d2">getRequestType</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;    std::string <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a2d93c7f2bb3b98d68574411edb3c149b">getUrl</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;    std::chrono::milliseconds <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a3c896966f71baa9eba8d92ca165b7e91">getConnectionTimeout</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;    std::chrono::milliseconds <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a4062c0dc753d10d9b1c7bc574a2f3779">getTransferTimeout</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;    std::chrono::milliseconds <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#ac8f5b280e3ddd966f37497804c697870">getActivityTimeout</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;</div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;    uint8_t <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#ac800661dd12b763f6d0a867b760f15f0">getPriority</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;</div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;    std::shared_ptr&lt;HTTP2RequestSourceInterface&gt; <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#af026a34de25125e6fc694293889163c8">getSource</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;</div><div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;    std::shared_ptr&lt;HTTP2ResponseSinkInterface&gt; <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a3ff3dbebe3b2cd3415a6a5196400499f">getSink</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;</div><div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#af2ab03c41d9ae2c9730c7d679178f993">isIntermittentTransferExpected</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;</div><div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;    std::string <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#acf44014b324b9517f5872265edcf852b">getId</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;</div><div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;    <span class="keyword">const</span> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html#adac37956726cfc5067118c2366d25918">HTTP2RequestType</a> m_type;</div><div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;</div><div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;    <span class="keyword">const</span> std::string m_url;</div><div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;</div><div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;    <span class="keyword">static</span> <span class="keyword">const</span> uint8_t DEFAULT_PRIORITY = 16;</div><div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;</div><div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;    std::chrono::milliseconds m_connectionTimeout;</div><div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;</div><div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;    std::chrono::milliseconds m_transferTimeout;</div><div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;</div><div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;    std::chrono::milliseconds m_activityTimeout;</div><div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;</div><div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;    uint8_t m_priority;</div><div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;</div><div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;    std::shared_ptr&lt;HTTP2RequestSourceInterface&gt; m_source;</div><div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;</div><div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;    std::shared_ptr&lt;HTTP2ResponseSinkInterface&gt; m_sink;</div><div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;</div><div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;    <span class="keywordtype">bool</span> m_isIntermittentTransferExpected;</div><div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;</div><div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;</div><div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;    std::string m_id;</div><div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160;};</div><div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;</div><div class="line"><a name="l00222"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#ad8572ec157e4cbb822e593c0cd051615">  222</a></span>&#160;<span class="keyword">inline</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#ad8572ec157e4cbb822e593c0cd051615">HTTP2RequestConfig::HTTP2RequestConfig</a>(</div><div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160;    <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html#adac37956726cfc5067118c2366d25918">HTTP2RequestType</a> type,</div><div class="line"><a name="l00224"></a><span class="lineno">  224</span>&#160;    <span class="keyword">const</span> std::string&amp; url,</div><div class="line"><a name="l00225"></a><span class="lineno">  225</span>&#160;    <span class="keyword">const</span> std::string&amp; idPrefix) :</div><div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;        m_type(type),</div><div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160;        m_url(url),</div><div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160;        m_connectionTimeout{std::chrono::milliseconds::zero()},</div><div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;        m_transferTimeout{std::chrono::milliseconds::zero()},</div><div class="line"><a name="l00230"></a><span class="lineno">  230</span>&#160;        m_activityTimeout{std::chrono::milliseconds::zero()},</div><div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160;        m_priority{DEFAULT_PRIORITY},</div><div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;        m_isIntermittentTransferExpected{<span class="keyword">false</span>} {</div><div class="line"><a name="l00233"></a><span class="lineno">  233</span>&#160;    <span class="keyword">static</span> std::atomic&lt;uint64_t&gt; nextId{1};</div><div class="line"><a name="l00234"></a><span class="lineno">  234</span>&#160;    m_id = idPrefix + std::to_string(std::atomic_fetch_add(&amp;nextId, uint64_t{2}));</div><div class="line"><a name="l00235"></a><span class="lineno">  235</span>&#160;};</div><div class="line"><a name="l00236"></a><span class="lineno">  236</span>&#160;</div><div class="line"><a name="l00237"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a5d02588f39190118ccb830297aba2e79">  237</a></span>&#160;<span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a5d02588f39190118ccb830297aba2e79">HTTP2RequestConfig::setConnectionTimeout</a>(std::chrono::milliseconds timeout) {</div><div class="line"><a name="l00238"></a><span class="lineno">  238</span>&#160;    m_connectionTimeout = timeout;</div><div class="line"><a name="l00239"></a><span class="lineno">  239</span>&#160;}</div><div class="line"><a name="l00240"></a><span class="lineno">  240</span>&#160;</div><div class="line"><a name="l00241"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a8766de06841a487596104b6eb3c658b6">  241</a></span>&#160;<span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a8766de06841a487596104b6eb3c658b6">HTTP2RequestConfig::setTransferTimeout</a>(std::chrono::milliseconds timeout) {</div><div class="line"><a name="l00242"></a><span class="lineno">  242</span>&#160;    m_transferTimeout = timeout;</div><div class="line"><a name="l00243"></a><span class="lineno">  243</span>&#160;}</div><div class="line"><a name="l00244"></a><span class="lineno">  244</span>&#160;</div><div class="line"><a name="l00245"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a4256748b1cdb6b45ecacde970014b2d8">  245</a></span>&#160;<span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a4256748b1cdb6b45ecacde970014b2d8">HTTP2RequestConfig::setActivityTimeout</a>(std::chrono::milliseconds timeout) {</div><div class="line"><a name="l00246"></a><span class="lineno">  246</span>&#160;    m_activityTimeout = timeout;</div><div class="line"><a name="l00247"></a><span class="lineno">  247</span>&#160;}</div><div class="line"><a name="l00248"></a><span class="lineno">  248</span>&#160;</div><div class="line"><a name="l00249"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a7638069320a732658fb191f8c0dab659">  249</a></span>&#160;<span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a7638069320a732658fb191f8c0dab659">HTTP2RequestConfig::setPriority</a>(uint8_t priority) {</div><div class="line"><a name="l00250"></a><span class="lineno">  250</span>&#160;    m_priority = priority;</div><div class="line"><a name="l00251"></a><span class="lineno">  251</span>&#160;}</div><div class="line"><a name="l00252"></a><span class="lineno">  252</span>&#160;</div><div class="line"><a name="l00253"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a9b6892762b3af8f1f7bbb7afd0633ca5">  253</a></span>&#160;<span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a9b6892762b3af8f1f7bbb7afd0633ca5">HTTP2RequestConfig::setRequestSource</a>(std::shared_ptr&lt;HTTP2RequestSourceInterface&gt; source) {</div><div class="line"><a name="l00254"></a><span class="lineno">  254</span>&#160;    m_source = std::move(source);</div><div class="line"><a name="l00255"></a><span class="lineno">  255</span>&#160;}</div><div class="line"><a name="l00256"></a><span class="lineno">  256</span>&#160;</div><div class="line"><a name="l00257"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#aad7156c60e04e9a0818159e2ddc2e829">  257</a></span>&#160;<span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#aad7156c60e04e9a0818159e2ddc2e829">HTTP2RequestConfig::setResponseSink</a>(std::shared_ptr&lt;HTTP2ResponseSinkInterface&gt; sink) {</div><div class="line"><a name="l00258"></a><span class="lineno">  258</span>&#160;    m_sink = std::move(sink);</div><div class="line"><a name="l00259"></a><span class="lineno">  259</span>&#160;}</div><div class="line"><a name="l00260"></a><span class="lineno">  260</span>&#160;</div><div class="line"><a name="l00261"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a1a758462058e9ddae6c06db06678a267">  261</a></span>&#160;<span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a1a758462058e9ddae6c06db06678a267">HTTP2RequestConfig::setIntermittentTransferExpected</a>() {</div><div class="line"><a name="l00262"></a><span class="lineno">  262</span>&#160;    m_isIntermittentTransferExpected = <span class="keyword">true</span>;</div><div class="line"><a name="l00263"></a><span class="lineno">  263</span>&#160;}</div><div class="line"><a name="l00264"></a><span class="lineno">  264</span>&#160;</div><div class="line"><a name="l00265"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#acf44014b324b9517f5872265edcf852b">  265</a></span>&#160;<span class="keyword">inline</span> std::string <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#acf44014b324b9517f5872265edcf852b">HTTP2RequestConfig::getId</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00266"></a><span class="lineno">  266</span>&#160;    <span class="keywordflow">return</span> m_id;</div><div class="line"><a name="l00267"></a><span class="lineno">  267</span>&#160;}</div><div class="line"><a name="l00268"></a><span class="lineno">  268</span>&#160;</div><div class="line"><a name="l00269"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#ab76afa14f307318541abee48bf19a6d2">  269</a></span>&#160;<span class="keyword">inline</span> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html#adac37956726cfc5067118c2366d25918">HTTP2RequestType</a> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#ab76afa14f307318541abee48bf19a6d2">HTTP2RequestConfig::getRequestType</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00270"></a><span class="lineno">  270</span>&#160;    <span class="keywordflow">return</span> m_type;</div><div class="line"><a name="l00271"></a><span class="lineno">  271</span>&#160;}</div><div class="line"><a name="l00272"></a><span class="lineno">  272</span>&#160;</div><div class="line"><a name="l00273"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a2d93c7f2bb3b98d68574411edb3c149b">  273</a></span>&#160;<span class="keyword">inline</span> std::string <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a2d93c7f2bb3b98d68574411edb3c149b">HTTP2RequestConfig::getUrl</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00274"></a><span class="lineno">  274</span>&#160;    <span class="keywordflow">return</span> m_url;</div><div class="line"><a name="l00275"></a><span class="lineno">  275</span>&#160;};</div><div class="line"><a name="l00276"></a><span class="lineno">  276</span>&#160;</div><div class="line"><a name="l00277"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a3c896966f71baa9eba8d92ca165b7e91">  277</a></span>&#160;<span class="keyword">inline</span> std::chrono::milliseconds <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a3c896966f71baa9eba8d92ca165b7e91">HTTP2RequestConfig::getConnectionTimeout</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00278"></a><span class="lineno">  278</span>&#160;    <span class="keywordflow">return</span> m_connectionTimeout;</div><div class="line"><a name="l00279"></a><span class="lineno">  279</span>&#160;}</div><div class="line"><a name="l00280"></a><span class="lineno">  280</span>&#160;</div><div class="line"><a name="l00281"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a4062c0dc753d10d9b1c7bc574a2f3779">  281</a></span>&#160;<span class="keyword">inline</span> std::chrono::milliseconds <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a4062c0dc753d10d9b1c7bc574a2f3779">HTTP2RequestConfig::getTransferTimeout</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00282"></a><span class="lineno">  282</span>&#160;    <span class="keywordflow">return</span> m_transferTimeout;</div><div class="line"><a name="l00283"></a><span class="lineno">  283</span>&#160;}</div><div class="line"><a name="l00284"></a><span class="lineno">  284</span>&#160;</div><div class="line"><a name="l00285"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#ac8f5b280e3ddd966f37497804c697870">  285</a></span>&#160;<span class="keyword">inline</span> std::chrono::milliseconds <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#ac8f5b280e3ddd966f37497804c697870">HTTP2RequestConfig::getActivityTimeout</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00286"></a><span class="lineno">  286</span>&#160;    <span class="keywordflow">return</span> m_activityTimeout;</div><div class="line"><a name="l00287"></a><span class="lineno">  287</span>&#160;}</div><div class="line"><a name="l00288"></a><span class="lineno">  288</span>&#160;</div><div class="line"><a name="l00289"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#ac800661dd12b763f6d0a867b760f15f0">  289</a></span>&#160;<span class="keyword">inline</span> uint8_t <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#ac800661dd12b763f6d0a867b760f15f0">HTTP2RequestConfig::getPriority</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00290"></a><span class="lineno">  290</span>&#160;    <span class="keywordflow">return</span> m_priority;</div><div class="line"><a name="l00291"></a><span class="lineno">  291</span>&#160;}</div><div class="line"><a name="l00292"></a><span class="lineno">  292</span>&#160;</div><div class="line"><a name="l00293"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#af026a34de25125e6fc694293889163c8">  293</a></span>&#160;<span class="keyword">inline</span> std::shared_ptr&lt;HTTP2RequestSourceInterface&gt; <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#af026a34de25125e6fc694293889163c8">HTTP2RequestConfig::getSource</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00294"></a><span class="lineno">  294</span>&#160;    <span class="keywordflow">return</span> m_source;</div><div class="line"><a name="l00295"></a><span class="lineno">  295</span>&#160;}</div><div class="line"><a name="l00296"></a><span class="lineno">  296</span>&#160;</div><div class="line"><a name="l00297"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a3ff3dbebe3b2cd3415a6a5196400499f">  297</a></span>&#160;<span class="keyword">inline</span> std::shared_ptr&lt;HTTP2ResponseSinkInterface&gt; <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a3ff3dbebe3b2cd3415a6a5196400499f">HTTP2RequestConfig::getSink</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00298"></a><span class="lineno">  298</span>&#160;    <span class="keywordflow">return</span> m_sink;</div><div class="line"><a name="l00299"></a><span class="lineno">  299</span>&#160;}</div><div class="line"><a name="l00300"></a><span class="lineno">  300</span>&#160;</div><div class="line"><a name="l00301"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#af2ab03c41d9ae2c9730c7d679178f993">  301</a></span>&#160;<span class="keyword">inline</span> <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#af2ab03c41d9ae2c9730c7d679178f993">HTTP2RequestConfig::isIntermittentTransferExpected</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00302"></a><span class="lineno">  302</span>&#160;    <span class="keywordflow">return</span> m_isIntermittentTransferExpected;</div><div class="line"><a name="l00303"></a><span class="lineno">  303</span>&#160;}</div><div class="line"><a name="l00304"></a><span class="lineno">  304</span>&#160;</div><div class="line"><a name="l00305"></a><span class="lineno">  305</span>&#160;}  <span class="comment">// namespace http2</span></div><div class="line"><a name="l00306"></a><span class="lineno">  306</span>&#160;}  <span class="comment">// namespace utils</span></div><div class="line"><a name="l00307"></a><span class="lineno">  307</span>&#160;}  <span class="comment">// namespace avsCommon</span></div><div class="line"><a name="l00308"></a><span class="lineno">  308</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00309"></a><span class="lineno">  309</span>&#160;</div><div class="line"><a name="l00310"></a><span class="lineno">  310</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_AVSCOMMON_UTILS_INCLUDE_AVSCOMMON_UTILS_HTTP2_HTTP2REQUESTCONFIG_H_</span></div><div class="ttc" id="_h_t_t_p2_request_type_8h_html"><div class="ttname"><a href="_h_t_t_p2_request_type_8h.html">HTTP2RequestType.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config_html_aad7156c60e04e9a0818159e2ddc2e829"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#aad7156c60e04e9a0818159e2ddc2e829">alexaClientSDK::avsCommon::utils::http2::HTTP2RequestConfig::setResponseSink</a></div><div class="ttdeci">void setResponseSink(std::shared_ptr&lt; HTTP2ResponseSinkInterface &gt; sink)</div><div class="ttdef"><b>Definition:</b> HTTP2RequestConfig.h:257</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html">alexaClientSDK::avsCommon::utils::http2::HTTP2RequestConfig</a></div><div class="ttdef"><b>Definition:</b> HTTP2RequestConfig.h:42</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config_html_a3c896966f71baa9eba8d92ca165b7e91"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a3c896966f71baa9eba8d92ca165b7e91">alexaClientSDK::avsCommon::utils::http2::HTTP2RequestConfig::getConnectionTimeout</a></div><div class="ttdeci">std::chrono::milliseconds getConnectionTimeout() const</div><div class="ttdef"><b>Definition:</b> HTTP2RequestConfig.h:277</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config_html_a3f1ff200db8c8fd700667b1af171d35e"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a3f1ff200db8c8fd700667b1af171d35e">alexaClientSDK::avsCommon::utils::http2::HTTP2RequestConfig::setLogicalStreamIdPrefix</a></div><div class="ttdeci">void setLogicalStreamIdPrefix(std::string logicalStreamIdPrefix)</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config_html_ab76afa14f307318541abee48bf19a6d2"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#ab76afa14f307318541abee48bf19a6d2">alexaClientSDK::avsCommon::utils::http2::HTTP2RequestConfig::getRequestType</a></div><div class="ttdeci">HTTP2RequestType getRequestType() const</div><div class="ttdef"><b>Definition:</b> HTTP2RequestConfig.h:269</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config_html_acf44014b324b9517f5872265edcf852b"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#acf44014b324b9517f5872265edcf852b">alexaClientSDK::avsCommon::utils::http2::HTTP2RequestConfig::getId</a></div><div class="ttdeci">std::string getId() const</div><div class="ttdef"><b>Definition:</b> HTTP2RequestConfig.h:265</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config_html_a4256748b1cdb6b45ecacde970014b2d8"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a4256748b1cdb6b45ecacde970014b2d8">alexaClientSDK::avsCommon::utils::http2::HTTP2RequestConfig::setActivityTimeout</a></div><div class="ttdeci">void setActivityTimeout(std::chrono::milliseconds timeout)</div><div class="ttdef"><b>Definition:</b> HTTP2RequestConfig.h:245</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config_html_ac8f5b280e3ddd966f37497804c697870"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#ac8f5b280e3ddd966f37497804c697870">alexaClientSDK::avsCommon::utils::http2::HTTP2RequestConfig::getActivityTimeout</a></div><div class="ttdeci">std::chrono::milliseconds getActivityTimeout() const</div><div class="ttdef"><b>Definition:</b> HTTP2RequestConfig.h:285</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config_html_a1a758462058e9ddae6c06db06678a267"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a1a758462058e9ddae6c06db06678a267">alexaClientSDK::avsCommon::utils::http2::HTTP2RequestConfig::setIntermittentTransferExpected</a></div><div class="ttdeci">void setIntermittentTransferExpected()</div><div class="ttdef"><b>Definition:</b> HTTP2RequestConfig.h:261</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config_html_a2d93c7f2bb3b98d68574411edb3c149b"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a2d93c7f2bb3b98d68574411edb3c149b">alexaClientSDK::avsCommon::utils::http2::HTTP2RequestConfig::getUrl</a></div><div class="ttdeci">std::string getUrl() const</div><div class="ttdef"><b>Definition:</b> HTTP2RequestConfig.h:273</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config_html_a8766de06841a487596104b6eb3c658b6"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a8766de06841a487596104b6eb3c658b6">alexaClientSDK::avsCommon::utils::http2::HTTP2RequestConfig::setTransferTimeout</a></div><div class="ttdeci">void setTransferTimeout(std::chrono::milliseconds timeout)</div><div class="ttdef"><b>Definition:</b> HTTP2RequestConfig.h:241</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config_html_ad8572ec157e4cbb822e593c0cd051615"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#ad8572ec157e4cbb822e593c0cd051615">alexaClientSDK::avsCommon::utils::http2::HTTP2RequestConfig::HTTP2RequestConfig</a></div><div class="ttdeci">HTTP2RequestConfig(HTTP2RequestType type, const std::string &amp;url, const std::string &amp;idPrefix)</div><div class="ttdef"><b>Definition:</b> HTTP2RequestConfig.h:222</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config_html_a5d02588f39190118ccb830297aba2e79"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a5d02588f39190118ccb830297aba2e79">alexaClientSDK::avsCommon::utils::http2::HTTP2RequestConfig::setConnectionTimeout</a></div><div class="ttdeci">void setConnectionTimeout(std::chrono::milliseconds timeout)</div><div class="ttdef"><b>Definition:</b> HTTP2RequestConfig.h:237</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config_html_a4062c0dc753d10d9b1c7bc574a2f3779"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a4062c0dc753d10d9b1c7bc574a2f3779">alexaClientSDK::avsCommon::utils::http2::HTTP2RequestConfig::getTransferTimeout</a></div><div class="ttdeci">std::chrono::milliseconds getTransferTimeout() const</div><div class="ttdef"><b>Definition:</b> HTTP2RequestConfig.h:281</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config_html_a3ff3dbebe3b2cd3415a6a5196400499f"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a3ff3dbebe3b2cd3415a6a5196400499f">alexaClientSDK::avsCommon::utils::http2::HTTP2RequestConfig::getSink</a></div><div class="ttdeci">std::shared_ptr&lt; HTTP2ResponseSinkInterface &gt; getSink() const</div><div class="ttdef"><b>Definition:</b> HTTP2RequestConfig.h:297</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config_html_a7638069320a732658fb191f8c0dab659"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a7638069320a732658fb191f8c0dab659">alexaClientSDK::avsCommon::utils::http2::HTTP2RequestConfig::setPriority</a></div><div class="ttdeci">void setPriority(uint8_t priority)</div><div class="ttdef"><b>Definition:</b> HTTP2RequestConfig.h:249</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config_html_ac800661dd12b763f6d0a867b760f15f0"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#ac800661dd12b763f6d0a867b760f15f0">alexaClientSDK::avsCommon::utils::http2::HTTP2RequestConfig::getPriority</a></div><div class="ttdeci">uint8_t getPriority() const</div><div class="ttdef"><b>Definition:</b> HTTP2RequestConfig.h:289</div></div>
<div class="ttc" id="_h_t_t_p2_response_sink_interface_8h_html"><div class="ttname"><a href="_h_t_t_p2_response_sink_interface_8h.html">HTTP2ResponseSinkInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config_html_a9b6892762b3af8f1f7bbb7afd0633ca5"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#a9b6892762b3af8f1f7bbb7afd0633ca5">alexaClientSDK::avsCommon::utils::http2::HTTP2RequestConfig::setRequestSource</a></div><div class="ttdeci">void setRequestSource(std::shared_ptr&lt; HTTP2RequestSourceInterface &gt; source)</div><div class="ttdef"><b>Definition:</b> HTTP2RequestConfig.h:253</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config_html_af026a34de25125e6fc694293889163c8"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#af026a34de25125e6fc694293889163c8">alexaClientSDK::avsCommon::utils::http2::HTTP2RequestConfig::getSource</a></div><div class="ttdeci">std::shared_ptr&lt; HTTP2RequestSourceInterface &gt; getSource() const</div><div class="ttdef"><b>Definition:</b> HTTP2RequestConfig.h:293</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config_html_af2ab03c41d9ae2c9730c7d679178f993"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html#af2ab03c41d9ae2c9730c7d679178f993">alexaClientSDK::avsCommon::utils::http2::HTTP2RequestConfig::isIntermittentTransferExpected</a></div><div class="ttdeci">bool isIntermittentTransferExpected() const</div><div class="ttdef"><b>Definition:</b> HTTP2RequestConfig.h:301</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_html_adac37956726cfc5067118c2366d25918"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html#adac37956726cfc5067118c2366d25918">alexaClientSDK::avsCommon::utils::http2::HTTP2RequestType</a></div><div class="ttdeci">HTTP2RequestType</div><div class="ttdef"><b>Definition:</b> HTTP2RequestType.h:29</div></div>
<div class="ttc" id="_h_t_t_p2_request_source_interface_8h_html"><div class="ttname"><a href="_h_t_t_p2_request_source_interface_8h.html">HTTP2RequestSourceInterface.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
